Request cleaning on a dataset
curl --request POST \
--url https://api.datalinks.com/api/v1/agents/{username}/{namespace}/{datasetName}/requestCleaning \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompts": [
"Remove extra spaces from firstName and lastName fields.",
"Remove empty values from the age field."
],
"outputNamespace": "all_about_movies",
"outputDatasetName": "movies_cleaned"
}
'import requests
url = "https://api.datalinks.com/api/v1/agents/{username}/{namespace}/{datasetName}/requestCleaning"
payload = {
"prompts": ["Remove extra spaces from firstName and lastName fields.", "Remove empty values from the age field."],
"outputNamespace": "all_about_movies",
"outputDatasetName": "movies_cleaned"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompts: [
'Remove extra spaces from firstName and lastName fields.',
'Remove empty values from the age field.'
],
outputNamespace: 'all_about_movies',
outputDatasetName: 'movies_cleaned'
})
};
fetch('https://api.datalinks.com/api/v1/agents/{username}/{namespace}/{datasetName}/requestCleaning', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error_code": "UNAUTHORIZED",
"message": "Missing authentication token",
"error_message": "",
"sub_errors": [
{
"code": "<string>",
"message": "<string>"
}
]
}agents
Request cleaning on a dataset
Request a cleaning job for the specified dataset.
POST
/
agents
/
{username}
/
{namespace}
/
{datasetName}
/
requestCleaning
Request cleaning on a dataset
Authorizations
bearerAuthopenId
Use a Bearer token for authentication. Submit the token using the Authorization
header: Authorization: Bearer <token>.
Path Parameters
Namespace for the dataset.
Name of the dataset.
The username associated with the request.
Body
application/json
Prompts that describe each cleaning step in the intended order.
Required array length:
1 - 10 elementsExample:
[
"Remove extra spaces from firstName and lastName fields.",
"Remove empty values from the age field."
]
Target namespace where the cleaned dataset will be created.
Example:
"all_about_movies"
Specifies the name of the cleaned dataset. The service creates this dataset when the cleaning job starts, and the name must be unused in the target namespace.
Example:
"movies_cleaned"
Response
Schedules a new cleaning task.
⌘I